Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Attributes | List of all members
FaissClusteringParameters Struct Reference

`#include <Clustering_c.h>`

## Public Attributes
int | niter
| clustering iterations
int | nredo
| redo clustering this many times and keep best
int | verbose
| (bool)
int | spherical
| (bool) do we want normalized centroids?
int | update_index
| (bool) update index after each iteration?
int | frozen_centroids
| (bool) use the centroids provided as input and do not change them during iterations
int | min_points_per_centroid
| otherwise you get a warning
int | max_points_per_centroid
| to limit size of dataset
int | seed
| seed for the random number generator

## Detailed Description

Copyright (c) 2015-present, Facebook, Inc. All rights reserved.

This source code is licensed under the BSD+Patents license found in the LICENSE file in the root directory of this source tree. Class for the clustering parameters. Can be passed to the constructor of the Clustering object.

Definition at line 25 of file Clustering_c.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/c_api/Clustering_c.h